commit:     b73904cd45fca09010de29a002db6a47870ec036
Author:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 25 13:26:45 2015 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Tue Aug 25 13:27:29 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b73904cd

kde-apps/konsole: introduce minimal USE flag for Plasma 5 compatibility.

Enabling it strips the components colliding with konsole:5, leaving
effectively only konsolepart.

Package-Manager: portage-2.2.20.1

 kde-apps/konsole/konsole-4.14.3.ebuild | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/kde-apps/konsole/konsole-4.14.3.ebuild 
b/kde-apps/konsole/konsole-4.14.3.ebuild
index 0c4bd47..e1a86c6 100644
--- a/kde-apps/konsole/konsole-4.14.3.ebuild
+++ b/kde-apps/konsole/konsole-4.14.3.ebuild
@@ -13,7 +13,7 @@ inherit kde4-base
 DESCRIPTION="X terminal for use with KDE"
 HOMEPAGE="https://www.kde.org/applications/system/konsole 
https://konsole.kde.org";
 KEYWORDS="amd64 ~arm ppc ppc64 x86 ~amd64-linux ~x86-linux"
-IUSE="debug"
+IUSE="debug minimal"
 
 COMMONDEPEND="
        !aqua? (
@@ -36,3 +36,12 @@ RDEPEND="${COMMONDEPEND}"
 
 # can't connect to a kded instance, fails to connect to dbus
 RESTRICT="test"
+
+src_install() {
+       kde4-base_src_install
+
+       if use minimal; then
+               rm "${D}/usr/bin/konsole" || die
+               rm "${D}/usr/bin/konsoleprofile" || die
+       fi
+}

Reply via email to